Subject: authors.ietf.org - new resource site for authors of Internet-Drafts

From: IETF Executive Director <[email-masked]>
Date: Thu, 10 Mar 2022 15:57:24 +1300

In late 2020/early 2021 we surveyed [1] Internet-Draft (I-D) authors and a key theme to emerge was that documentation and resources for authors were hard to use as they were distributed across multiple sites and often inconsistent or out of date.  To address this, a new central resource site, authors.ietf.org, has been developed that pulls together and updates the existing documentation as well as adding new documentation to fill known gaps.  

authors.ietf.org has been produced with significant input from the developers of I-D authoring tools, the Tools Team and the RFC Production Center (RPC).  It includes a new set of RFCXML templates for I-D authors that the RPC recommend are used going forward as they address many of the common issues they encounter.  

Work is still underway to remove and/or redirect overlapping documentation on other sites.

Initially, the site will be maintained as required by the Tools team, the IETF Administration LLC, and the RPC, but it is hoped that more and more of the site will be edited and updated by the community.  To that end, all of the pages are mirrored to a GitHub repository [2] and we welcome people adding issues and submitting pull requests.  General feedback to the tools-discuss list [3] is also welcome.

[1]  https://www.ietf.org/blog/results-and-analysis-of-the-survey-of-i-d-authors-on-formats-and-tools/
[2]  https://github.com/ietf-authors/authors.ietf.org
[3]  https://www.ietf.org/mailman/listinfo/tools-discuss

-- 
Jay Daley
IETF Executive Director
[email-masked]